#! /bin/sh
set -e

if [ "$1" = rtupdate ]; then
	old=$2
	old_version=${old#pypy3_}
	if [ -n "$old" ]; then
		if which pypy3clean >/dev/null 2>&1; then
			pypy3clean --version $old_version /usr/lib/python3/dist-packages
		fi
	fi
	if which pypy3compile >/dev/null 2>&1; then
		pypy3compile /usr/lib/python3/dist-packages
	else
		echo >&2 "pypy3compile not found in $(basename $0) hook."
		exit 1
	fi
fi
